import React, { ReactNode } from 'react';
import './Accordion.css';
export interface AccordionProps {
    /**
     * <@default=`false`>
     *
     * If enabled, multiple panels can be expanded at once
     */
    isMulti?: boolean;
    className?: string;
    /**
     * <@default=`section`>
     */
    component?: string;
    expandedPanelId?: string;
    children?: ReactNode;
    defaultExpandedPanelIds?: string[];
}
export declare const Accordion: React.NamedExoticComponent<AccordionProps>;
export interface AccordionPanel {
    /**
     * Passed by Accordion
     *
     * <@internal>
     */
    isExpanded?: boolean;
    id: string;
    className?: string;
    /**
     * <@default=`article`>
     */
    component?: string;
    children?: ReactNode;
    /**
     * Passed by Accordion
     *
     * <@internal>
     */
    onClickPanelHeader?: (e: React.MouseEvent<HTMLElement, MouseEvent>, id: string) => void;
}
export declare const AccordionPanel: React.NamedExoticComponent<AccordionPanel>;
export interface AccordionPanelHeader {
    /**
     * Passed by Accordion
     *
     * <@internal>
     */
    isExpanded?: boolean;
    /**
     * Passed by AccordionPanel
     *
     * <@internal>
     */
    id?: string;
    className?: string;
    /**
     * <@default=`header`>
     */
    component?: string;
    children?: ReactNode;
    /**
     * Passed by AccordionPanel
     *
     * <@internal>
     */
    onClickPanelHeader?: (e: React.MouseEvent<HTMLElement, MouseEvent>, id: string) => void;
}
export declare const AccordionPanelHeader: React.NamedExoticComponent<AccordionPanelHeader>;
export interface AccordionPanelContent {
    /**
     * Passed by Accordion
     *
     * <@internal>
     */
    isExpanded?: boolean;
    className?: string;
    /**
     * <@default=`div`>
     */
    component?: string;
    children?: ReactNode;
}
export declare const AccordionPanelContent: React.NamedExoticComponent<AccordionPanelContent>;
