import React, { ReactNode } from 'react';
import 'react-datepicker/dist/react-datepicker.css';
import './DatePicker.css';
declare type DatePickerLocale = 'zh-CN' | 'en-US';
export interface HighlightDates {
    [className: string]: Date[];
}
export interface DatePickerProps {
    /**
     * <@default=`false`>
     */
    isYearSelectShown?: boolean;
    /**
     * <@default=`false`>
     *
     * If enabled, format will become a combination of `dateFormat` and `timeFormat`
     */
    isTimeSelectShown?: boolean;
    /**
     * <@default=`30`>
     */
    timeIntervals?: number;
    todayButton?: string;
    /**
     * <@default=`'hh:mm aa'`>
     *
     * Available format tokens: https://date-fns.org/v2.0.0-beta.4/docs/format
     */
    timeFormat?: string;
    /**
     * <@default=`'Time'`>
     */
    timeCaption?: string;
    className?: string;
    maxTime?: Date;
    minTime?: Date;
    locale?: DatePickerLocale;
    /**
     * <@default=`popper`>
     */
    mode?: 'popper' | 'inline';
    /**
     * <@default=`'MM/dd/yyyy'`
     *
     * Available format tokens: https://date-fns.org/v2.0.0-beta.4/docs/format
     */
    dateFormat?: string | string[];
    value?: Date | null;
    maxDate?: Date | null;
    minDate?: Date | null;
    highlightDates?: (HighlightDates | Date)[];
    /**
     * <@default=`<Input />`>
     */
    input?: ReactNode;
    onChange: (newValue: Date | null) => void;
}
export declare const DatePicker: React.NamedExoticComponent<DatePickerProps>;
export {};
