import React, { ReactNode } from 'react';
export interface DonutProps {
    /**
     * <@default=`true`>
     */
    isTooltipShown?: boolean;
    /**
     * <@default=`true`>
     */
    isAnimated?: boolean;
    /**
     * <@default=`400`>
     */
    width?: number;
    /**
     * <@default=`400`>
     */
    height?: number;
    nameAccessor: string;
    valueAccessor: string;
    /**
     * Value unit, e.g. %
     */
    unit?: string;
    /**
     * The x-coordinate of center
     *
     * <@default=`50%`>
     */
    cx?: number | string;
    /**
     * The y-coordinate of center
     *
     * <@default=`50%`>
     */
    cy?: number | string;
    /**
     * <@default=`'#131518'`>
     */
    color?: string | string[];
    /**
     * <@default=`'20%'`>
     */
    innerRadius?: number | string;
    /**
     * <@default=`'60%'`>
     */
    outerRadius?: number | string;
    /**
     * <@default=`function renderLabel`>
     */
    label?: boolean | ((sliceInfo: any) => ReactNode | JSX.Element);
    /**
     * <@default=`true`>
     */
    labelLine?: boolean | ((sliceInfo: any) => SVGAElement);
    data: any[];
}
export declare const Donut: React.NamedExoticComponent<DonutProps>;
