import React, { CSSProperties, ReactNode } from 'react';
import 'rc-drawer/assets/index.css';
import './Drawer.css';
export interface DrawerProps {
    /**
     * <@default=`false`>
     */
    isOpen?: boolean;
    /**
     * <@default=`false`>
     */
    isPagePushable?: boolean;
    /**
     * Delay destorying drawer content so that we won't see it get destroyed immediately
     * before drawer close animation completes
     *
     * <@default=`true`>
     */
    isContentDestoryDelayed?: boolean;
    /**
     * <@default=`true`>
     *
     * If false, mask is completely hidden, disallowing any user interaction (users cannot close drawer via clicking mask)
     */
    isMaskShown?: boolean;
    /**
     * Specify container in which the Drawer should be rendered
     */
    containerId?: string;
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    /**
     * <@default=`'100%' or 400`>
     */
    width?: number | string;
    /**
     * <@default=`'30%' or '100%'`>
     */
    height?: number | string;
    handler?: JSX.Element | null;
    /**
     * <@default=`right`>
     */
    placement?: 'top' | 'bottom' | 'left' | 'right';
    /**
     * Drawer can be closed by pressing ESC key or clicking overlay
     */
    onRequestClose?: () => void;
}
export declare const Drawer: React.NamedExoticComponent<DrawerProps>;
