import React from 'react';
import { DropEvent } from 'react-dropzone';
import './FileUploader.css';
export interface EnhancedFile extends File {
    thumbURL: string;
}
export interface FileUploaderProps {
    /**
     * <@default=`true`>
     */
    isFileRemoveIndicatorShown?: boolean;
    /**
     * Allow multiple files
     *
     * <@default=`false`>
     */
    isMulti?: boolean;
    /**
     * <@default=`1`>
     */
    minSize?: number;
    /**
     * <@default=`10000000 (10MB)`>
     */
    maxSize?: number;
    className?: string;
    /**
     * <@default=``>
     */
    label?: string;
    /**
     * <@default=`'primary'`>
     */
    variant?: 'primary' | 'secondary';
    /**
     * An object that associates file name and its current upload progress percent
     *
     * <@default=`{}`>
     */
    progress?: {
        [fileName: string]: number;
    };
    /**
     * Can be used to set preview URL for secondary variant FileUploader only
     */
    previewURL?: string;
    /**
     * <@default=`image/*`>
     */
    allowedFileTypes?: string | string[];
    onDropAccepted?: (files: EnhancedFile[], event: DropEvent) => void;
    onDropRejected?: (files: EnhancedFile[], event: DropEvent) => void;
}
export declare const FileUploader: React.NamedExoticComponent<FileUploaderProps>;
