import React, { CSSProperties, ReactNode, SVGProps } from 'react';
import './Icon.css';
export interface BaseIconProps {
    /**
     * <@default=`false`>
     *
     * Action icon will make cursor pointer type
     */
    isAction?: boolean;
    width?: number;
    height?: number;
    color?: string;
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    /**
     * <@default=`'medium'`>
     */
    size?: 'small' | 'medium' | 'large';
}
export declare const InnerIcon: React.NamedExoticComponent<BaseIconProps>;
export declare type IconProps = BaseIconProps & SVGProps<SVGSVGElement>;
export declare const Icon: (props: IconProps) => JSX.Element;
