import React, { CSSProperties, FC, ReactNode } from 'react';
import { PlaceholderProps } from '../Placeholder';
import './Image.css';
export interface ImageProps {
    /**
     * <@default=`true`>
     */
    isLazyLoading?: boolean;
    /**
     * <@default=`0`>
     */
    delay?: number;
    blur?: number;
    src: string;
    alt?: string;
    className?: string;
    /**
     * <@default=`'100%'`>
     */
    width?: number | string;
    /**
     * <@default=`'auto'`>
     */
    height?: number | string;
    /**
     * Normal image will be rendered as `<img>` element; Background image will be rendered as `<div>` element
     *
     *  <@default=`'normal'`>
     */
    variant?: 'normal' | 'background';
    caption?: ReactNode;
    children?: ReactNode;
    maskStyle?: CSSProperties | null;
    /**
     * A Ztopia Placeholder either in function form (`Placeholder`) or element form (`<Placeholder />`)
     */
    placeholder?: ReactNode | FC<PlaceholderProps> | null;
    onClick?: (e: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
}
export declare const Image: React.NamedExoticComponent<ImageProps>;
