import React, { ChangeEvent, CSSProperties, ReactNode, Ref } from 'react';
import './Input.css';
export interface InputProps {
    /**
     * <@default=`false`>
     */
    isDisabled?: boolean;
    /**
     * <@default=`false`>
     */
    isRequired?: boolean;
    min?: number;
    max?: number;
    /**
     * <@default=`'text'`>
     */
    type?: string;
    value?: string | number;
    defaultValue?: string;
    name?: string;
    label?: string;
    placeholder?: string;
    error?: string;
    /**
     * If defined, value will be by split and shown as tags on input blur
     */
    delimiter?: string;
    className?: string;
    /**
     * <@default=`'rect'`>
     */
    variant?: 'material' | 'rect' | 'pill';
    prefixIcon?: ReactNode;
    suffixIcon?: ReactNode;
    style?: CSSProperties;
    ref?: Ref<HTMLInputElement>;
    onChange?: (e: ChangeEvent<HTMLInputElement>) => void;
    onFocus?: (e: ChangeEvent<HTMLInputElement>) => void;
    onBlur?: (e: ChangeEvent<HTMLInputElement>) => void;
}
export declare const Input: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<InputProps, "className" | "label" | "style" | "defaultValue" | "placeholder" | "onChange" | "value" | "onFocus" | "onBlur" | "isDisabled" | "type" | "variant" | "min" | "max" | "name" | "isRequired" | "error" | "delimiter" | "prefixIcon" | "suffixIcon"> & React.RefAttributes<HTMLInputElement>>>;
