import React from 'react';
import 'mapbox-gl/dist/mapbox-gl.css';
export interface ViewState {
    latitude: number;
    longitude: number;
    zoom: number;
    /**
     * The bearing is the compass direction that is "up";
     * for example, a bearing of 90° orients the map so that east is up
     */
    bearing?: number;
    /**
     * 0 is perpendicular to the surface, for a look straight down at the map,
     * while a greater value like 60 looks ahead towards the horizon.
     */
    pitch?: number;
    altitude?: number;
}
export interface MapProps {
    /**
     * <@default=`true`>
     */
    isControllerEnabled?: boolean;
    /**
     * <@default=`'100%'`>
     */
    width?: number | string;
    /**
     * <@default=`'100%'`>
     */
    height?: number | string;
    /**
     * <@default=`'dark'`>
     */
    mapStyle?: 'light' | 'dark' | 'streets' | 'outdoors' | 'satellite';
    /**
     * <@default=`{ longitude: 0, latitude: 30, zoom: 1, pitch: 0, bearing: 0 }`>
     */
    viewState?: ViewState;
    layers?: any[];
}
export declare const Map: React.NamedExoticComponent<MapProps>;
