import React, { ReactNode } from 'react';
import './Modal.css';
export interface ModalProps {
    /**
     * <@default=`false`>
     */
    isOpen?: boolean;
    /**
     * <@default=`false`>
     */
    isCloseButtonShown?: boolean;
    /**
     * Specify container in which the Modal should be rendered
     */
    containerId?: string;
    className?: string;
    children?: ReactNode;
    /**
     * <@default=`'medium'`>
     */
    size?: 'small' | 'medium' | 'large';
    /**
     * Modal can be closed by pressing ESC key, clicking overlay or close icon
     */
    onRequestClose?: () => void;
}
export declare const Modal: React.NamedExoticComponent<ModalProps>;
