import React from 'react';
import './Placeholder.css';
export interface PlaceholderProps {
    /**
     * By default, placeholder is animated with fading effect
     *
     * <@default=`true`>
     */
    isAnimated?: boolean;
    /**
     * <@default=`1`>
     *
     * Require `variant='text'`
     */
    rows?: number;
    /**
     * <@default=`'grey'`>
     */
    color?: string;
    className?: string;
    /**
     * <@default=`200`>
     */
    width?: number | string;
    /**
     * <@default=`200`>
     */
    height?: number | string;
    /**
     * <@default=`'rect'`>
     */
    shape?: 'rect' | 'circle';
    variant?: 'image' | 'text';
}
export declare const Placeholder: React.NamedExoticComponent<PlaceholderProps>;
