import React, { ReactNode } from 'react';
import 'rc-tooltip/assets/bootstrap_white.css';
import './Popper.css';
export declare const HIDE_ON_CLICK_EXCEPTION = "hide-on-click-exception";
export interface PopperProps {
    /**
     * <@default=`undefined`>
     */
    isVisible?: boolean;
    /**
     * <@default=`false`>
     */
    isTransitionDisabled?: boolean;
    /**
     * Hide popper when overlay or children is clicked.
     * This behaviour can be overridden by adding custom data attribute:
     * data-ztopia-popper="hide-on-click-exception"
     *
     * <@default=`false`>
     */
    isHiddenOnClick?: boolean;
    /**
     * <@default=`false`>
     */
    isArrowHidden?: boolean;
    /**
     * <@default=`false`>
     */
    isBorderHidden?: boolean;
    /**
     * <@default=`false`>
     */
    isShadowShown?: boolean;
    /**
     * <@default=`4`>
     */
    arrowSize?: number;
    /**
     * <@default=`0`>
     */
    offsetX?: number;
    /**
     * <@default=`0`>
     */
    offsetY?: number;
    /**
     * Specify container in which the Drawer should be rendered
     */
    containerId?: string;
    className?: string;
    /**
     * Popper content when it is triggered
     */
    overlay: ReactNode;
    /**
     * Element that triggers tooltip
     */
    children?: ReactNode;
    /**
     * <@default=`'hover'`>
     */
    trigger?: ('hover' | 'click' | 'focus')[];
    /**
     * <@default=`'top'`>
     */
    placement?: 'top' | 'top-left' | 'top-right' | 'right' | 'right-top' | 'right-bottom' | 'bottom' | 'bottom-left' | 'bottom-right' | 'left' | 'left-top' | 'left-bottom';
}
export declare const Popper: React.NamedExoticComponent<PopperProps>;
