import React, { CSSProperties } from 'react';
import 'rc-progress/assets/index.css';
import './Progress.css';
export interface ProgressProps {
    /**
     * Render color from red to green based on percent value
     *
     * <@default=`false`>
     */
    isGradientEnabled?: boolean;
    /**
     * Value must be in range of 0 to 100
     */
    percent?: number;
    /**
     * <@default=`1`>
     */
    strokeWidth?: number;
    /**
     * <@default=`1`>
     */
    trailWidth?: number;
    /**
     * <@default=`'#131518'`>
     */
    strokeColor?: string;
    /**
     * <@default=`'#f2f3f5'`>
     */
    trailColor?: string;
    className?: string;
    /**
     * <@default=`'line'`>
     */
    variant?: 'line' | 'circle';
    style?: CSSProperties;
}
export declare const Progress: React.NamedExoticComponent<ProgressProps>;
