import React from 'react';
import { HandleProps, Marks } from 'rc-slider';
import 'rc-slider/assets/index.css';
import './Slider.css';
export interface SliderProps {
    /**
     * <@default=`false`>
     */
    isVertical?: boolean;
    /**
     * <@default=`0`>
     */
    min?: number;
    /**
     * <@default=`100`>
     */
    max?: number;
    /**
     * The value of a basic slider is a single number.
     * The value of a range slider is an array of numbers
     *
     * <@default=`0`>
     */
    value?: number | number[];
    step?: number;
    className?: string;
    marks?: Marks;
    variant?: 'basic' | 'range';
    onChange?: (value: number | number[]) => void;
    renderHandle?: (props: any) => JSX.Element;
}
export declare const SliderHandle: React.NamedExoticComponent<HandleProps>;
export declare const Slider: React.NamedExoticComponent<SliderProps>;
