import React, { ReactNode } from 'react';
import './Stepper.css';
export interface Step {
    title?: string;
    desc?: string;
    indicator?: ReactNode;
    content?: ReactNode;
}
export interface StepperProps {
    /**
     * If all steps are completed, then the Stepper should be considered as finished
     *
     * <@default=`false`>
     */
    isFinished?: boolean;
    /**
     * <@default=`0`>
     */
    currentStep?: number;
    className?: string;
    steps: Step[];
}
export declare const Stepper: React.NamedExoticComponent<StepperProps>;
