import React, { FC, ReactNode } from 'react';
import { InfiniteScrollProps } from '../InfiniteScroll';
import { LoaderProps } from '../Loaders';
import './Table.css';
export interface TablePagination {
    currPage: number;
    totalPages: number;
    onClickPrev: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    onClickNext: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
export interface TableProps extends Omit<InfiniteScrollProps, 'loader'> {
    className?: string;
    /**
     * <@default=`400`>
     */
    maxHeight?: string | number;
    /**
     * <@default=`400`>
     */
    minHeight?: string | number;
    pagination?: TablePagination;
    infiniteScrollLoader?: JSX.Element;
    children?: ReactNode;
}
export declare const Table: React.NamedExoticComponent<TableProps>;
export interface TableHeadProps {
    className?: string;
    children?: ReactNode;
}
export declare const TableHead: React.NamedExoticComponent<TableHeadProps>;
export interface TableBodyProps {
    className?: string;
    children?: ReactNode;
    /**
     * A Ztopia Loader either in function form (`MusicLoader`) or element form (`<MusicLoader />`)
     */
    loader?: ReactNode | FC<LoaderProps> | null;
}
export declare const TableBody: React.NamedExoticComponent<TableBodyProps>;
export interface TableRowProps {
    hoveredContentWidth?: number;
    className?: string;
    hoveredContent?: ReactNode;
    children?: ReactNode;
}
export declare const TableRow: React.NamedExoticComponent<TableRowProps>;
export interface TableHeadCellProps {
    className?: string;
    children?: ReactNode;
}
export declare const TableHeadCell: React.NamedExoticComponent<TableHeadCellProps>;
export interface TableCellProps {
    width?: number;
    className?: string;
    children?: ReactNode;
}
export declare const TableCell: React.NamedExoticComponent<TableCellProps>;
