import React, { ReactNode } from 'react';
import { ComponentSize } from '@rehooks/component-size';
import './Tabs.css';
export interface TabProps {
    id: string;
    className?: string;
    children?: ReactNode;
    /**
     * <@internal>
     */
    isSelected?: boolean;
    /**
     * <@internal>
     */
    isVertical?: boolean;
    /**
     * <@internal>
     */
    idx?: number;
    /**
     * <@internal>
     */
    gap?: number;
    /**
     * <@internal>
     *
     * Called when Tab is rendered at the first time
     */
    onRender?: (id: string, size: ComponentSize) => void;
}
export declare const Tab: React.NamedExoticComponent<TabProps>;
export interface TabsProps {
    /**
     * <@default=`false`>
     */
    isVertical?: boolean;
    /**
     * <@default=`20`>
     */
    gap?: number;
    className?: string;
    children?: ReactNode;
    /**
     * Selected tab Id
     */
    value?: string | null;
    /**
     * <@default=`'left or bottom'`>
     *
     * If `isVertical={true}`, the default indicator placement is `left`, otherwise, the default is `bottom`
     */
    indicatorPlacement?: 'left' | 'right' | 'top' | 'bottom';
    /**
     * Called when the tab changes
     */
    onChange?: (e: React.MouseEvent<HTMLLIElement, MouseEvent>, newValue: string) => void;
}
export declare const Tabs: React.NamedExoticComponent<TabsProps>;
