import React, { ReactNode } from 'react';
import './Toast.css';
export declare type ToastId = number | string;
export interface ToastOptions {
    /**
     * <@default=`false`>
     */
    isProgressBarShown?: boolean;
    /**
     * <@default=`false`>
     */
    isCloseButtonShown?: boolean;
    className?: string;
    /**
     * For multiple container support. If enabled, `makeToast({containerId})` must match `<ToastContainer containerId>`
     */
    containerId?: string;
    /**
     * If not provided, it will be auto generated
     */
    toastId?: ToastId;
    /**
     * <@default=`5000`>
     *
     */
    autoClose?: number | false;
    /**
     * <@default=`'top-right'`>
     */
    placement?: 'top-right' | 'top-center' | 'top-left' | 'bottom-right' | 'bottom-center' | 'bottom-left';
    /**
     * <@default=`'default'`>
     */
    variant?: 'default' | 'info' | 'success' | 'warning' | 'error';
}
export declare const ToastContainer: React.NamedExoticComponent<ToastOptions>;
export declare const makeToast: (content: ReactNode, options?: ToastOptions) => ToastId;
export declare const updateToast: (toastId: ToastId, options?: ToastOptions) => void;
export declare const dismissToast: (toastId: ToastId) => void;
export declare const dismissAllToasts: () => void;
