import React from 'react';
import './TruncatedText.css';
export interface TruncatedTextProps {
    /**
     * Use pure CSS for truncation. This has better rendering performance
     * but it is hacky in nature. It does not work with HTML content
     *
     * <@default=`false`>
     */
    isCSSTruncation?: boolean;
    /**
     * <@default=`false`>
     */
    isHTML?: boolean;
    /**
     * <@default=`false`>
     */
    isExpandable?: boolean;
    /**
     * <@default=`2`>
     */
    maxLine?: number;
    /**
     * <@default=`1.2`>
     */
    cssTruncationLineHeight?: number;
    /**
     * <@default=`em`>
     */
    cssTruncationUnit?: 'em' | 'rem';
    /**
     * <@default=`''`>
     */
    ellipsis?: string;
    /**
     * HTML element the truncated text should be rendered as
     *
     * <@default=`'p' for normal text or 'div' for HTML`>
     */
    element?: string;
    className?: string;
    children: string;
}
export declare const TruncatedText: React.NamedExoticComponent<TruncatedTextProps>;
